Name:       nnn
Version:    2.0
Release:    1%{?dist}
Summary:    The missing terminal file browser for X

License:    BSD
URL:        https://github.com/jarun/nnn
Source0:    %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  pkgconfig(ncursesw)
BuildRequires:  readline-devel


%description
nnn is probably the fastest and most resource-sensitive (with all 
its capabilities) file browser you have ever used. It's extremely flexible 
too - integrates with your DE and favourite GUI utilities, works with 
the desktop opener, supports bookmarks, has smart navigation shortcuts, 
navigate-as-you-type mode, disk usage analyzer mode, comprehensive file 
details and much more. nnn was initially forked from noice but is 
significantly different today.

Cool things you can do with nnn:

 - open any file in the default desktop application or a custom one
 - navigate-as-you-type (search-as-you-type enabled even on directory switch)
 - check disk usage with number of files in current directory tree
 - run desktop search utility (gnome-search-tool or catfish) in any directory
 - copy absolute file paths to clipboard, spawn a terminal and use the paths
 - navigate instantly using shortcuts like ~, -, & or handy bookmarks
 - use cd ..... at chdir prompt to go to a parent directory
 - detailed file stats, media info, list and extract archives
 - pin a directory you may need to revisit and jump to it anytime
 - lock the current terminal after a specified idle time
 - change directory on exit



%prep
%autosetup -p1 -n %{name}-%{version}

sed -i "s|^install: all|install:|" Makefile


%build
export CFLAGS="%{optflags}"
%make_build STRIP=/bin/true


%install
%make_install PREFIX=%{_prefix}
mkdir -p %{buildroot}%{_datadir}/bash-completion/completions
install -Dpm0644 -t %{buildroot}%{_datadir}/bash-completion/completions \
  scripts/auto-completion/bash/nnn-completion.bash
mkdir -p %{buildroot}%{_datadir}/fish/vendor_functions.d
install -Dpm0644 -t %{buildroot}%{_datadir}/fish/vendor_functions.d \
  scripts/auto-completion/fish/nnn.fish
mkdir -p %{buildroot}%{_datadir}/zsh/site-functions
install -Dpm0644 -t %{buildroot}%{_datadir}/zsh/site-functions \
  scripts/auto-completion/zsh/_nnn



%files
%doc CHANGELOG README.md
%license LICENSE
%{_bindir}/%{name}
%{_bindir}/nlay
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man1/nlay.1.*
%{_datadir}/bash-completion
%{_datadir}/fish
%{_datadir}/zsh


%changelog
* Fri Oct 19 2018 Robert-André Mauchin <zebob.m@gmail.com> - 2.0-1
- Release 2.0

* Fri Aug 10 2018 Robert-André Mauchin <zebob.m@gmail.com> - 1.9-1
- Release 1.9

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed May 02 2018 Robert-André Mauchin <zebob.m@gmail.com> - 1.8-1
- Release 1.8

* Thu Mar 01 2018 Robert-André Mauchin <zebob.m@gmail.com> - 1.7-1
- Release 1.7

* Sat Feb 24 2018 Robert-André Mauchin <zebob.m@gmail.com> - 1.6-1
- First RPM release
